/**
 * Data model pour les compétences
 */
export default class CompetenceDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      isspecialisation: new fields.BooleanField({ initial: false }),
      categorie: new fields.StringField({ initial: "" }),
      specialisation: new fields.StringField({ initial: "" }),
      description: new fields.HTMLField({ initial: "" }),
      niveau: new fields.NumberField({ initial: 0, integer: true }),
      niveauunrequis: new fields.BooleanField({ initial: false })
    };
  }
}
